nautilus crashed with SIGABRT in g_assertion_message()

Bug #1821435 reported by Per-Inge on 2019-03-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Nautilus
Fix Released
Unknown
nautilus (Ubuntu)
Medium
Unassigned
Disco
Medium
Unassigned

Bug Description

Copied a file from a server to ~/Documents and used the Star function.
Got this crash two times with different files.

ProblemType: Crash
DistroRelease: Ubuntu 19.04
Package: nautilus 1:3.32.0-0ubuntu1
ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
Uname: Linux 5.0.0-8-generic x86_64
ApportVersion: 2.20.10-0ubuntu23
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Sat Mar 23 07:53:09 2019
ExecutablePath: /usr/bin/nautilus
InstallationDate: Installed on 2018-11-24 (118 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181124)
ProcCmdline: /usr/bin/nautilus --gapplication-service
Signal: 6
SourcePackage: nautilus
StacktraceTop:
 ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 g_assertion_message_expr () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 nautilus_window_slot_get_location ()
 ?? ()
 g_closure_invoke () from /lib/x86_64-linux-gnu/libgobject-2.0.so.0
Title: nautilus crashed with SIGABRT in g_assertion_message_expr()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
separator:

usr_lib_nautilus:

CVE References

Per-Inge (per-inge-hallin) wrote :

StacktraceTop:
 g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x55eeaf3fa2c0 <__FUNCTION__.63830> "nautilus_window_slot_get_location", message=<optimized out>) at ../../../glib/gtestutils.c:2878
 g_assertion_message_expr (domain=0x0, file=file@entry=0x55eeaf3f9521 "../src/nautilus-window-slot.c", line=line@entry=3270, func=func@entry=0x55eeaf3fa2c0 <__FUNCTION__.63830> "nautilus_window_slot_get_location", expr=expr@entry=0x55eeaf3f9514 "self != NULL") at ../../../glib/gtestutils.c:2904
 nautilus_window_slot_get_location (self=0x0) at ../src/nautilus-window-slot.c:3270
 nautilus_window_slot_get_location (self=<optimized out>) at ../src/nautilus-window-slot.c:3266
 nautilus_window_on_undo_changed (manager=<optimized out>, window=0x55eeaffd43d0) at ../src/nautilus-window.c:1672

Changed in nautilus (Ubuntu):
importance: Undecided → Medium
summary: - nautilus crashed with SIGABRT in g_assertion_message_expr()
+ nautilus crashed with SIGABRT in g_assertion_message()
tags: removed: need-amd64-retrace
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, I've reported it upstream on https://gitlab.gnome.org/GNOME/nautilus/issues/970
(the error tracker report https://errors.ubuntu.com/problem/e31ebe2117daadf5ea0a969148735d423e102293 seems to be the same issue)

information type: Private → Public
Changed in nautilus (Ubuntu):
status: New → Triaged
Changed in nautilus:
status: Unknown → New
Changed in nautilus:
status: New → Fix Released
Sebastien Bacher (seb128) wrote :
Changed in nautilus (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.32.1-0ubuntu1

---------------
nautilus (1:3.32.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (lp: #1828735):
    - don't assert in nautilus_window_slot_get_location (lp: #1821435)
    - Fix CVE-2019-11461 "A compromised thumbnailer may escape
      the bubblewrap sandbox"
  * debian/patches/git_init_segfault.patch:
    - Removed, the fix is in the new version

 -- Sebastien Bacher <email address hidden> Sun, 12 May 2019 17:11:16 +0200

Changed in nautilus (Ubuntu):
status: Fix Committed → Fix Released

Hello Per-Inge, or anyone else affected,

Accepted nautilus into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nautilus/1:3.32.1-0ubuntu0.19.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nautilus (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
Download full text (3.2 KiB)

Will test om thursday

Den mån 20 maj 2019 16:30Łukasz Zemczak <email address hidden> skrev:

> Hello Per-Inge, or anyone else affected,
>
> Accepted nautilus into disco-proposed. The package will build now and be
> available at
> https://launchpad.net/ubuntu/+source/nautilus/1:3.32.1-0ubuntu0.19.04.0
> in a few hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
> to enable and use -proposed. Your feedback will aid us getting this
> update out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested and change the tag from
> verification-needed-disco to verification-done-disco. If it does not fix
> the bug for you, please add a comment stating that, and change the tag
> to verification-failed-disco. In either case, without details of your
> testing we will not be able to proceed.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance for helping!
>
> N.B. The updated package will be released to -updates after the bug(s)
> fixed by this package have been verified and the package has been in
> -proposed for a minimum of 7 days.
>
> ** Changed in: nautilus (Ubuntu Disco)
> Status: New => Fix Committed
>
> ** Tags added: verification-needed verification-needed-disco
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1821435
>
> Title:
> nautilus crashed with SIGABRT in g_assertion_message()
>
> Status in Nautilus:
> Fix Released
> Status in nautilus package in Ubuntu:
> Fix Released
> Status in nautilus source package in Disco:
> Fix Committed
>
> Bug description:
> Copied a file from a server to ~/Documents and used the Star function.
> Got this crash two times with different files.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 19.04
> Package: nautilus 1:3.32.0-0ubuntu1
> ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
> Uname: Linux 5.0.0-8-generic x86_64
> ApportVersion: 2.20.10-0ubuntu23
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Sat Mar 23 07:53:09 2019
> ExecutablePath: /usr/bin/nautilus
> InstallationDate: Installed on 2018-11-24 (118 days ago)
> InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181124)
> ProcCmdline: /usr/bin/nautilus --gapplication-service
> Signal: 6
> SourcePackage: nautilus
> StacktraceTop:
> ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> g_assertion_message_expr () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> nautilus_window_slot_get_location ()
> ?? ()
> g_closure_invoke () from /lib/x86_64-linux-gnu/libgobject-2.0.so.0
> Title: nautilus crashed with SIGABRT in g_assertion_message_expr()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> separator:
>
> usr_lib_nautilus:
>
> To manage notifications about this bug go to:
> https://...

Read more...

Download full text (3.5 KiB)

I set the developer option and updated. Got the nautilus update among other
updates.
Copied a file from the server to Documents and starred the file. Worked OK
and got no crash.
Copied another file from the server to Documents and starred it. Got no
crash, but the file didn't show up in Starred.
Restarted Nautilus, but this didn't help.
Logged out and logged in again. Open Documents and starred the file again.
This time the file showed up in Starred.

Did the same in Eoan with the same result.

Den lör 23 mars 2019 kl 08:15 skrev Per-Inge <email address hidden>:

> Private bug reported:
>
> Copied a file from a server to ~/Documents and used the Star function.
> Got this crash two times with different files.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 19.04
> Package: nautilus 1:3.32.0-0ubuntu1
> ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
> Uname: Linux 5.0.0-8-generic x86_64
> ApportVersion: 2.20.10-0ubuntu23
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Sat Mar 23 07:53:09 2019
> ExecutablePath: /usr/bin/nautilus
> InstallationDate: Installed on 2018-11-24 (118 days ago)
> InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181124)
> ProcCmdline: /usr/bin/nautilus --gapplication-service
> Signal: 6
> SourcePackage: nautilus
> StacktraceTop:
> ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> g_assertion_message_expr () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> nautilus_window_slot_get_location ()
> ?? ()
> g_closure_invoke () from /lib/x86_64-linux-gnu/libgobject-2.0.so.0
> Title: nautilus crashed with SIGABRT in g_assertion_message_expr()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> separator:
>
> usr_lib_nautilus:
>
> ** Affects: nautilus (Ubuntu)
> Importance: Medium
> Status: New
>
>
> ** Tags: amd64 apport-crash disco third-party-packages
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1821435
>
> Title:
> nautilus crashed with SIGABRT in g_assertion_message()
>
> Status in nautilus package in Ubuntu:
> New
>
> Bug description:
> Copied a file from a server to ~/Documents and used the Star function.
> Got this crash two times with different files.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 19.04
> Package: nautilus 1:3.32.0-0ubuntu1
> ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
> Uname: Linux 5.0.0-8-generic x86_64
> ApportVersion: 2.20.10-0ubuntu23
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Sat Mar 23 07:53:09 2019
> ExecutablePath: /usr/bin/nautilus
> InstallationDate: Installed on 2018-11-24 (118 days ago)
> InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181124)
> ProcCmdline: /usr/bin/nautilus --gapplication-service
> Signal: 6
> SourcePackage: nautilus
> StacktraceTop:
> ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> g_assertion_message_expr () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> nautilus_window_slot_get_location ()
> ?? ()
> g_closure_invoke () from /lib/x86_64-linux-gnu/libgobject-2.0.so.0...

Read more...

Changed in nautilus (Ubuntu Disco):
importance: Undecided → Medium
Sebastien Bacher (seb128) wrote :

There are no report from 3.32.1, marking it as verification-done now

tags: added: verification-done verification-done-disco
removed: verification-needed verification-needed-disco

The verification of the Stable Release Update for nautilus has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.32.1-0ubuntu0.19.04.0

---------------
nautilus (1:3.32.1-0ubuntu0.19.04.0) disco; urgency=medium

  * New upstream release (lp: #1828735):
    - don't assert in nautilus_window_slot_get_location (lp: #1821435)
    - Fix CVE-2019-11461 "A compromised thumbnailer may escape
      the bubblewrap sandbox"
  * debian/patches/git_init_segfault.patch:
    - Removed, the fix is in the new version

 -- Sebastien Bacher <email address hidden> Sun, 12 May 2019 17:11:16 +0200

Changed in nautilus (Ubuntu Disco):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.